<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Tokens extends Model
{
    use HasFactory;

    protected $fillable = [
        'TOTAL_TOKENS',
        'USED_TOKENS',
        'contract_id'
    ];

    public function contract()
    {
        return $this->belongsTo(Contract::class, 'contract_id','rid');
    }

}
